Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
archuyhoang

nhờ các bác viết cho em auto lisp nối các đường line rời rạc thành pline

Các bài được khuyến nghị

http://www.cadviet.com/upfiles/3/128771_nn_1.lsp
trên đây là li sp gốc
em đã đã có được autolip nối line thành pline . nhưng nó nối lung tung  không theo ý mình 
em muốn nối các đường line rời rạc trong cùng 1 layer thành pline 
em đã đọc và có người đã viết. nhưng em đã tải về và dùng thử thì ko thành công 
này em mạo muội xin giúp đỡ từ các bác . giải giúp em với ạ 
em xin chân thành cảm ơn ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 - ý nhoc là bạn up file .dwg mẫu ko phải up file lsp, bạn thấy lsp đó gần với ý mình thì cũng phải up file mẫu thì mọi người mới rõ bạn mún sữa thế nào ^^, file lsp bạn chịu khó nén nó lại rùi hãy up lên 4rum, up file lsp trực tiếp lên 4rum ko tải đc, do chức năng download của 4rum bị lỗi vài chỗ ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Của bạn đây

 

(defun C:nn(/ f a)
    (setq f '((0 . "LINE,ARC,*POLYLINE")) a (getvar "PEDITACCEPT"))
    (setvar "PEDITACCEPT" 1)
    (if (setq e (car (entsel "Chon doi tuong loc layer: ")))
        (setq f (cons (assoc 8 (entget e)) f ))        )
    (vl-cmdf "PEDIT" "M" (ssget f) "" "J" "" "" )
    (setvar "PEDITACCEPT" a)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em cảm ơn bác
nhưng mà bác ợ

cái lip trước nó tự tìm đường line rồi để nối nhau ( chi r cần píc 1 lần vào 1 đường )

còn cái líp này phải kích chọn từng đường (hơi thủ công bác ạ)

bác check lại thử em xem có phải vậy ko ậ

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Pick lần đầu để chọn đối tượng lọc layer, sau đó chọn đối tượng để nối nhau bằng pick, window, fence hoặc đánh vào all để chọn tất cả.
Nếu muốn chọn tất cả luôn thì sửa chỗ:
(ssget "X" f)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×